/*
 *  This file is part of MagiCapture.
 *  Copyright (C) 1999 Arthur Jerijian
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __MAGICAPTURE_OPTIONS_H__
#define __MAGICAPTURE_OPTIONS_H__

/* Function declarations */

void options_parse (gchar **parameter, gchar **value, gchar *input);
void options_init (gchar *envp []);
void options_do (OptionData *option_data);
void options_cleanup ();

void options_save (GtkWidget *widget, gpointer data);
void options_apply (GtkWidget *widget, gpointer data);
void options_cancel (GtkWidget *widget, gpointer data);

void option_preview_func (GtkWidget *widget, gpointer data);
void option_hide_panel_func (GtkWidget *widget, gpointer data);
void option_dither_func (GtkWidget *widget, gpointer data);

#endif /* __MAGICAPTURE_OPTIONS_H__ */
