/*
 *  This file is part of MagiCapture.
 *  Copyright (C) 1999 Arthur Jerijian
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __MAGICAPTURE_PANEL_H__
#define __MAGICAPTURE_PANEL_H__

/* Function declarations */

gint panel_delete_event (GtkWidget *widget, GdkEvent *event, gpointer data);
void panel_destroy_event (GtkWidget *widget, gpointer data);

void panel_destroy_image ();

void panel_store_options (OptionData *option_data);

void panel_init ();
void panel_cleanup ();

void panel_single_func (GtkWidget *widget, gpointer data);
void panel_single_decor_func (GtkWidget *widget, gpointer data);
void panel_full_func (GtkWidget *widget, gpointer data);

void panel_delay_func (GtkWidget *widget, gpointer data);

void panel_options_func (GtkWidget *widget, gpointer data);
void panel_capture_func (GtkWidget *widget, gpointer data);
void panel_preview_func (GtkWidget *widget, gpointer data);
void panel_saveas_func (GtkWidget *widget, gpointer data);
void panel_quit_func (GtkWidget *widget, gpointer data);
void panel_about_func (GtkWidget *widget, gpointer data);

#endif /* __MAGICAPTURE_PANEL_H__ */

